gnutls_srp_base64_decode2(3)

NAME
gnutls_srp_base64_decode2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_decode2(const gnutls_datum_t * b64_data, gnutls_datum_t * result);

ARGUMENTS

const gnutls_datum_t * b64_data
    contains the encoded data

gnutls_datum_t * result
    the place where decoded data lie

DESCRIPTION
This function will decode the given encoded data. The decoded data will be allocated, and stored into result. It will decode using the base64 algorithm as used in libsrp. You should use gnutls_free() to free the returned data. Warning! This base64 encoding is not the "standard" encoding, so do not use it for non-SRP purposes.

RETURNS
0 on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/